/**
* Generated theme by Material Theme Generator
* https://materialtheme.arcsine.dev
*/

@import "~@angular/material/theming";
// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Fonts
@import "https://fonts.googleapis.com/css?family=Material+Icons";
@import url("https://fonts.googleapis.com/css?family=Open+Sans:300,400,500");
@import url("https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300,400,500");
@import url("https://fonts.googleapis.com/css?family=Lato:300,400,500");
@import "../node_modules/aos/dist/aos.css";
$fontConfig: (
  display-4: mat-typography-level(112px, 112px, 300, "Open Sans", -0.0134em),
  display-3:
    mat-typography-level(56px, 56px, 400, "Open Sans Condensed", -0.0089em),
  display-2: mat-typography-level(45px, 48px, 400, "Open Sans Condensed", 0em),
  display-1:
    mat-typography-level(34px, 40px, 400, "Open Sans Condensed", 0.0074em),
  headline: mat-typography-level(24px, 32px, 400, "Open Sans Condensed", 0em),
  title: mat-typography-level(20px, 32px, 500, "Open Sans", 0.0075em),
  subheading-2: mat-typography-level(16px, 28px, 400, "Open Sans", 0.0094em),
  subheading-1: mat-typography-level(15px, 24px, 500, "Open Sans", 0.0067em),
  body-2: mat-typography-level(14px, 24px, 500, "Lato", 0.0179em),
  body-1: mat-typography-level(14px, 20px, 400, "Lato", 0.0179em),
  button: mat-typography-level(14px, 14px, 500, "Open Sans", 0.0893em),
  caption: mat-typography-level(12px, 20px, 400, "Lato", 0.0333em),
  input: mat-typography-level(inherit, 1.125, 400, "Open Sans", 1.5px),
);
// Foreground Elements
// Light Theme Text
$dark-text: #002156;
$dark-primary-text: rgba($dark-text, 0.87);
$dark-accent-text: rgba($dark-primary-text, 0.54);
$dark-disabled-text: rgba($dark-primary-text, 0.38);
$dark-dividers: rgba($dark-primary-text, 0.12);
$dark-focused: rgba($dark-primary-text, 0.12);
$mat-light-theme-foreground: (
  base: black,
  divider: $dark-dividers,
  dividers: $dark-dividers,
  disabled: $dark-disabled-text,
  disabled-button: rgba($dark-text, 0.26),
  disabled-text: $dark-disabled-text,
  elevation: black,
  secondary-text: $dark-accent-text,
  hint-text: $dark-disabled-text,
  accent-text: $dark-accent-text,
  icon: $dark-accent-text,
  icons: $dark-accent-text,
  text: $dark-primary-text,
  slider-min: $dark-primary-text,
  slider-off: rgba($dark-text, 0.26),
  slider-off-active: $dark-disabled-text,
);
// Dark Theme text
$light-text: #050505;
$light-primary-text: $light-text;
$light-accent-text: rgba($light-primary-text, 0.7);
$light-disabled-text: rgba($light-primary-text, 0.5);
$light-dividers: rgba($light-primary-text, 0.12);
$light-focused: rgba($light-primary-text, 0.12);
$mat-dark-theme-foreground: (
  base: $light-text,
  divider: $light-dividers,
  dividers: $light-dividers,
  disabled: $light-disabled-text,
  disabled-button: rgba($light-text, 0.3),
  disabled-text: $light-disabled-text,
  elevation: black,
  hint-text: $light-disabled-text,
  secondary-text: $light-accent-text,
  accent-text: $light-accent-text,
  icon: $light-text,
  icons: $light-text,
  text: $light-text,
  slider-min: $light-text,
  slider-off: rgba($light-text, 0.3),
  slider-off-active: rgba($light-text, 0.3),
);
// Background config
// Light bg
$light-background: #fafafa;
$light-bg-darker-5: darken($light-background, 5%);
$light-bg-darker-10: darken($light-background, 10%);
$light-bg-darker-20: darken($light-background, 20%);
$light-bg-darker-30: darken($light-background, 30%);
$light-bg-lighter-5: lighten($light-background, 5%);
$dark-bg-tooltip: lighten(#02255e, 20%);
$dark-bg-alpha-4: rgba(#02255e, 0.04);
$dark-bg-alpha-12: rgba(#02255e, 0.12);
$mat-light-theme-background: (
  background: $light-background,
  status-bar: $light-bg-darker-20,
  app-bar: $light-bg-darker-5,
  hover: $dark-bg-alpha-4,
  card: $light-bg-lighter-5,
  dialog: $light-bg-lighter-5,
  tooltip: $dark-bg-tooltip,
  disabled-button: $dark-bg-alpha-12,
  raised-button: $light-bg-lighter-5,
  focused-button: $dark-focused,
  selected-button: $light-bg-darker-20,
  selected-disabled-button: $light-bg-darker-30,
  disabled-button-toggle: $light-bg-darker-10,
  unselected-chip: $light-bg-darker-10,
  disabled-list-option: $light-bg-darker-10,
);
// Dark bg
$dark-background: #fdfeff;
$dark-bg-lighter-5: lighten($dark-background, 5%);
$dark-bg-lighter-10: lighten($dark-background, 10%);
$dark-bg-lighter-20: lighten($dark-background, 20%);
$dark-bg-lighter-30: lighten($dark-background, 30%);
$light-bg-alpha-4: rgba(#fafafa, 0.04);
$light-bg-alpha-12: rgba(#fafafa, 0.12);
// Background palette for dark themes.
$mat-dark-theme-background: (
  background: $dark-background,
  status-bar: $dark-bg-lighter-20,
  app-bar: $dark-bg-lighter-5,
  hover: $light-bg-alpha-4,
  card: $dark-bg-lighter-5,
  dialog: $dark-bg-lighter-5,
  tooltip: $dark-bg-lighter-20,
  disabled-button: $light-bg-alpha-12,
  raised-button: $dark-bg-lighter-5,
  focused-button: $light-focused,
  selected-button: $dark-bg-lighter-20,
  selected-disabled-button: $dark-bg-lighter-30,
  disabled-button-toggle: $dark-bg-lighter-10,
  unselected-chip: $dark-bg-lighter-20,
  disabled-list-option: $dark-bg-lighter-10,
);
// Compute font config
@include mat-core($fontConfig);
// Theme Config
body {
  --primary-color: #009ada;
  --primary-lighter-color: #f7eb45;
  --primary-darker-color: #007993;
  --text-primary-color: #{$light-primary-text};
  --text-primary-lighter-color: #{$dark-primary-text};
  --text-primary-darker-color: #{$light-primary-text};
}

a {
  text-decoration: none;
}

$mat-primary: (
  main: #009ada,
  lighter: #f7eb45,
  darker: #007993,
  200: #009ada,
  // For slide toggle,
  contrast:
    (
      main: $light-primary-text,
      lighter: $dark-primary-text,
      darker: $light-primary-text,
    ),
);
$theme-primary: mat-palette($mat-primary, main, lighter, darker);
body {
  --accent-color: #002156;
  --accent-lighter-color: #b3bccc;
  --accent-darker-color: #00143c;
  --text-accent-color: #{$light-primary-text};
  --text-accent-lighter-color: #{$dark-primary-text};
  --text-accent-darker-color: #{$light-primary-text};
}

$mat-accent: (
  main: #002156,
  lighter: #b3bccc,
  darker: #e2caca,
  200: #030b16,
  // For slide toggle,
  contrast:
    (
      main: $light-primary-text,
      lighter: $dark-primary-text,
      darker: $light-primary-text,
    ),
);
$theme-accent: mat-palette($mat-accent, main, lighter, darker);
body {
  --warn-color: #b10052;
  --warn-lighter-color: #e8b3cb;
  --warn-darker-color: #980038;
  --text-warn-color: #{$light-primary-text};
  --text-warn-lighter-color: #{$dark-primary-text};
  --text-warn-darker-color: #{$light-primary-text};
}

$mat-warn: (
  main: #b10052,
  lighter: #e8b3cb,
  darker: #980038,
  200: #b10052,
  // For slide toggle,
  contrast:
    (
      main: $light-primary-text,
      lighter: $dark-primary-text,
      darker: $light-primary-text,
    ),
);
$theme-warn: mat-palette($mat-warn, main, lighter, darker);
$theme: mat-dark-theme($theme-primary, $theme-accent, $theme-warn);
$altTheme: mat-light-theme($theme-primary, $theme-accent, $theme-warn);
// Theme Init
@include angular-material-theme($theme);
.theme-alternate {
  @include angular-material-theme($altTheme);
}

// Specific component overrides, pieces that are not in line with the general theming
// Handle buttons appropriately, with respect to line-height
.mat-raised-button,
.mat-stroked-button,
.mat-flat-button {
  padding: 0 1.15em;
  margin: 0 0.65em;
  min-width: 3em;
  line-height: 36.4px;
}

.mat-standard-chip {
  padding: 0.5em 0.85em;
  min-height: 2.5em;
}

.material-icons {
  font-size: 24px;
  font-family: "Material Icons", "Material Icons";
  .mat-badge-content {
    font-family: "Lato";
  }
}

button[disabled],
button.disabled {
  &:hover {
    background-color: transparent !important;
  }
}

h1,
h2,
h3,
h4,
h5 {
  margin: 0 0 !important;
  font-family: "Open Sans", sans-serif;
  letter-spacing: 1px;
  text-rendering: optimizelegibility;
}

a.mat-primary,
button.mat-primary {
  &:hover {
    background-color: #050505;
    color: #fff;
  }
}

a.mat-secondary,
button.mat-secondary {
  &:hover {
    background-color: #009ada;
    color: #050505;
  }
}

@media (max-width: 1280px) {
  h1 {
    font-size: 1.3rem;
  }
  h2 {
    font-size: 1.2rem;
  }
  h3 {
    font-size: 1.1rem;
  }
  h4 {
    font-size: 1rem;
  }
  h5 {
    font-size: 0.9rem;
  }
}

.mat-card-title {
  font-family: "Lato", sans-serif;
  font-size: 14px !important;
}

.mat-button {
  font-family: "Lato", sans-serif;
  font-size: 0.7rem;
  letter-spacing: 0.5px;
  color: rgb(56, 56, 56);
}

.mat-badge-content {
  font-size: 0.7rem;
}

.mat-expansion-panel-header {
  font-family: "Lato", sans-serif;
}

.mat-toolbar {
  font-family: "Lato", sans-serif;
  span {
    font-family: "Lato", sans-serif;
  }
}

.mat-menu-panel {
  .mat-menu-item {
    font-size: 0.8rem !important;
  }
  b {
    font-weight: lighter !important;
  }
}

.mat-list-item {
  font-family: "Lato", sans-serif !important;
}

p {
  margin: 0 0;
  font-family: "Lato", sans-serif !important;
}

.mat-card-content {
  font-family: "Lato", sans-serif !important;
}

ul,
ul li,
ul li a {
  margin: 0 0;
  list-style: none;
  padding: 0 0;
  font-family: "Lato", sans-serif !important;
  text-decoration: none;
}

body {
  margin: 0;
  font-family: "Lato", sans-serif !important;
}

.mat-option {
  a {
    font-family: "Lato", sans-serif !important;
  }
}

.mat-drawer-content {
  overflow: inherit !important;
}

.container {
  width: 100%;
  @media (min-width: 991px) {
    max-width: 1320px;
    margin: auto;
  }
}

.example-spacer {
  flex: 1 1 auto;
}

.divider-title {
  border-top-width: 1px !important;
  margin-bottom: 30px !important;
  border-radius: 8px;
}

ngu-carousel {
  position: relative;
  z-index: 10;
}

.reset-input {
  margin-top: -8px;
  outline: none !important;
  .mat-form-field-wrapper {
    margin-bottom: 0px !important;
    padding-bottom: 0px !important;
    outline: none;
    mat-form-field-flex {
      outline: none;
    }
    .mat-form-field-infix {
      border-top: 0em !important;
      padding: 0.5em 0 0.5em 0 !important;
    }
    .mat-icon {
      font-size: 100% !important;
    }
  }
  &.mat-focused {
    margin: 0 0 0 0 !important;
    .mat-form-field-label {
      margin-top: 10px;
    }
  }
}

.image-arrow {
  width: 44%;
  height: 43px;
  position: relative;
  overflow: hidden;
  text-align: inherit;
}

.tile {
  box-shadow: none !important;
}

.space-bottom {
  padding-bottom: 60px;
}

.search-style {
  &.mat-form-field-appearance-outline .mat-form-field-label {
    top: 2.2em !important;
    font-size: 1rem !important;
    margin-top: none !important;
  }
  &.mat-form-field-appearance-outline .mat-form-field-outline {
    color: rgba(255, 255, 255, 0.5);
  }
  &.mat-form-field-should-float {
    .mat-form-field-label-wrapper {
      top: -0.3em !important;
    }
  }
  &.mat-form-field-should-float.mat-focused {
    .mat-form-field-label-wrapper {
      top: -1em !important;
    }
  }
  input {
    font-size: 1rem !important;
  }
  &.mat-form-field-appearance-outline .mat-icon-button {
    width: 1.5em !important;
    height: 1.5em !important;
  }
}

.top-menu-help {
  display: none !important;
  @media (max-width: 1279px) {
    display: block !important;
  }
  .margin-btns button,
  .margin-btns a {
    margin: 5px;
  }
  .reset-input {
    margin-top: 0 !important;
  }
}

header {
  position: absolute;
  width: 100%;
  left: 0;
  top: 0;
  &::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background-color: rgba(0, 0, 0, 0.9);
    transition: all ease 0.2s;
    transform-origin: 50% 0%;
    transform: scale3d(1, 0, 1);
    z-index: 0;
  }
  &.sticky {
    &::before {
      transform: scale3d(1, 1, 1);
    }
  }
}

.sticky {
  position: fixed !important;
  top: 0;
  //overflow: hidden;
  z-index: 300;
  width: 100%;
  height: 64px !important;
  max-height: 64px !important;
  min-height: 64px !important;
  color: #333;
  ul li a,
  ul li a i {
    color: #9c9c9c;
  }
  .fillcolor {
    ul li a,
    ul li a i {
      color: #9c9c9c !important;
    }
  }
  @media (max-width: 599px) {
    height: 56px !important;
    max-height: 56px !important;
    min-height: 56px !important;
  }
  .top-menu {
    margin: 0 0 0 0 !important;
    li {
      a {
        line-height: 63.5px !important;
        border-radius: 0 !important;
        -webkit-border-radius: 0 !important;
        color: #333;
      }
      button {
        display: inline-block !important;
      }
    }
  }
  .float-address {
    top: 74px !important;
    @media (max-width: 1279px) {
      top: 78px !important;
    }
    @media (max-width: 599px) {
      top: 60px !important;
    }
  }
  .top-menu-help {
    display: block !important;
    .reset-input {
      margin-top: 0 !important;
    }
  }
}

.reset-color {
  background-color: transparent !important;
}

.white-icon {
  svg g path {
    color: black !important;
    fill: rgb(0, 0, 0) !important;
  }
}

.banner-interno {
  min-height: 200px;
  width: 100%;
  padding: 0 30px;
  margin-bottom: 20px;
  background-image: url("./assets/images/colores.png");
  background-size: 110%;
  background-repeat: no-repeat;
  background-color: #b10052;
  position: relative;
  z-index: 10;
  h1 {
    color: white;
    padding: 10px 40px !important;
  }
}

.border-btn {
  border: 1px solid #021618 !important;
}

.example-card {
  mat-card-actions {
    margin-top: 20px;
    button {
      margin-right: 0px !important;
    }
  }
}

.filters-left {
  margin-bottom: 20px !important;
  .mat-expansion-panel-header {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1) !important;
    border-radius: 0 !important;
    &[aria-disabled="true"] {
      color: rgb(0, 0, 0) !important;
      font-weight: bold !important;
    }
    @media (max-width: 1279px) {
      border-bottom: none !important;
      border-radius: inherit !important;
    }
  }
  .mat-list-item {
    p {
      font-size: 0.9rem !important;
    }
  }
}

.quantity {
  margin: 0 0 0 0 !important;
  .mat-form-field-wrapper {
    margin: 0em 0 0 0 !important;
    padding-bottom: 0 !important;
  }
}

.redes-detail {
  a {
    background-color: transparent !important;
    box-shadow: none !important;
    .mat-button-wrapper {
      padding: 0 0 !important;
    }
    .mat-icon {
      width: 34px !important;
      height: 34px !important;
    }
    @media (max-width: 599px) {
      width: 30px;
      height: 30px;
      line-height: 25px;
      .mat-icon {
        width: 24px !important;
        height: 24px !important;
      }
      .mat-button-wrapper {
        padding: 0 0 !important;
      }
    }
  }
  a:nth-child(1) .mat-icon svg g path {
    fill: #111316 !important;
  }
  a:nth-child(2) .mat-icon svg g path {
    fill: #c13584 !important;
  }
}

.detail-product {
  .mat-card-header-text {
    margin: 0 0 0 0 !important;
  }
}

.table-pedido {
  .mat-form-field-wrapper {
    padding-bottom: 0em !important;
  }
  button {
    background-color: transparent !important;
    box-shadow: none !important;
    .mat-icon {
      color: #333 !important;
    }
  }
}

.tab-qs .mat-tab-body {
  min-height: 150px !important;
  box-sizing: border-box !important;
}

.tab-qs .mat-tab-labels {
  display: block !important;
}

.tab-qs .mat-tab-group[mat-stretch-tabs] > .map-tab-header .mat-tab-labels {
  min-width: 0px !important;
}

#whatsapp {
  position: fixed;
  right: 20px;
  bottom: 20px;
  z-index: 100;
  img {
    width: 50px;
  }
}

.white-border {
  border: 1px solid rgba(255, 255, 255, 0.2) !important;
  color: rgba(255, 255, 255, 0.2) !important;
}

.red-snackbar {
  background-color: rgb(153, 50, 50);
  color: lightgoldenrodyellow;
}

.code-list {
  .mat-chip-list-wrapper {
    padding: 0 16px !important;
    box-sizing: border-box !important;
  }
}

.filter-left-menu {
  .mat-expansion-panel-body {
    padding-left: 0px !important;
    padding-right: 0px !important;
  }
}

.open-banner {
  background-size: cover !important;
  background-repeat: no-repeat !important;
  background-position: center center !important;
  background-attachment: fixed !important;
  min-height: 400px !important;
  position: relative;
  .full-content {
    width: 100%;
    margin-bottom: 10px;
    text-align: justify !important;
  }
  &::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 0;
  }
  .container {
    position: relative;
  }
  .mat-toolbar {
    z-index: 1;
    background-color: rgba(26, 33, 29, 0.9);
    h1 {
      font-size: 1.2rem !important;
      padding: 0 0 !important;
    }
    .author {
      color: #fff !important;
      span {
        font-size: 0.8rem !important;
      }
    }
  }
}

.padding-texto {
  padding: 20px 0 !important;
}

.content-noticia {
  img {
    display: none !important;
  }
}

@media (max-width: 960px) {
  table.mat-table td.mat-cell {
    .mat-form-field-appearance-outline .mat-form-field-infix {
      padding: 0.2em 0 0.2em 0 !important;
      font-size: 16px !important;
      input {
        text-align: right !important;
      }
    }
  }
}

.subscriber-news {
  .mat-form-field-appearance-outline .mat-form-field-wrapper {
    margin: 0 0 !important;
    padding-bottom: 0 !important;
  }
}

footer {
  .mat-form-field {
    color: #fff;
    label {
      color: #fff;
    }
    @media (max-width: 959px) {
      margin-top: 20px;
      margin-bottom: 20px;
    }
  }
  .mat-form-field-appearance-outline .mat-form-field-outline-thick {
    color: #fff;
  }
  .mat-form-field-appearance-outline .mat-form-field-outline {
    color: #fff;
  }
}

.delay-p1s {
  animation-delay: 0.5s;
}

.delay-p12s {
  animation-delay: 1s;
}

.not-delay {
  animation-delay: 0s;
}

.sidenav-menu {
  .mat-tab-group {
    .mat-tab-header {
      display: none;
    }
  }
}

.redes-qs {
  path {
    fill: #333;
  }
}

.hide-on-init {
  visibility: hidden;
}

.card-product {
  background-color: rgba(33, 33, 33, 1);
  padding-top: 0 !important;
  padding-bottom: 0 !important;
  border-radius: 50px !important;
  overflow: hidden !important;
  height: 300px;
  margin-bottom: 12px;
  .mat-card-header {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 2;
    padding: 20px 15px !important;
    box-sizing: border-box;
    background-color: rgba(51, 51, 51, 0.8);
    color: #fff;
    transition: all ease 0.2s;
    .mat-card-title {
      margin-bottom: 0 !important;
      font-size: 1.2rem !important;
    }
  }
  .image-card {
    width: calc(100% + 32px);
    height: 300px;
    overflow: hidden;
    margin: 0 -16px 0px -16px;
    cursor: pointer;
    transition: all ease 0.2s;
    z-index: 1;
    position: relative;
    img {
      max-height: 300px;
      object-fit: fill;
      transform: scale(1);
      transition: transform 0.2s ease;
    }
  }
  .mat-card-content {
    display: none;
  }
  .mat-card-content,
  .mat-card-actions {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    margin: 0 0 !important;
    z-index: 2;
  }
  .mat-card-actions {
    button {
      margin-right: -10px !important;
      border-top-left-radius: 20px !important;
      border-bottom-left-radius: 0px !important;
      border-top-right-radius: 0px !important;
      border-bottom-right-radius: 0px !important;
      padding-right: 40px;
      transition: all ease 0.2s;
    }
  }
  .redes-shared {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    height: fit-content;
    width: fit-content;
    padding: 0 10px;
    z-index: 0;
  }
  &:hover {
    .mat-card-header {
      background-color: rgba(51, 51, 51, 0);
    }
    .image-card {
      width: calc(100% - 30px);
      margin: 60px 0px 0px -16px;
      border-top-right-radius: 60px;
      img {
        transform: scale(2);
        transition: transform 60s ease;
      }
    }
    .mat-card-actions {
      button {
        margin-right: 0px !important;
        border-top-left-radius: 20px !important;
        padding-right: 35px;
        padding-left: 20px;
        padding-top: 3px;
        padding-bottom: 3px;
      }
    }
  }
}

.otro-para-que {
  .mat-form-field-flex {
    align-items: flex-start;
  }
}

.carrusel-refs {
  .tile {
    .mat-card-header {
      .mat-card-header-text {
        margin: 0 0 !important;
      }
    }
  }
}

.carrusel-content-refs {
  .mat-radio-button {
    color: rgb(202 202 202 / 90%) !important;
    .mat-radio-outer-circle {
      border-color: rgb(202 202 202 / 70%) !important;
    }
  }
}

.inpt-fields {
  .mat-form-field-appearance-outline .mat-form-field-infix {
    padding: 0.5em 0 1em 0;
  }
  .mat-form-field-label-wrapper {
    top: -1.05em !important;
  }
}

.modal-politics {
  max-width: 95% !important;
  width: 95% !important;
  @media (min-width: 720px) {
    max-width: 80% !important;
    width: 80% !important;
  }
  @media (min-width: 960px) {
    max-width: 60% !important;
    width: 60% !important;
  }
}

.stepper-cotizacion {
  @media (max-width: 959px) {
    .mat-horizontal-content-container {
      padding-left: 0px !important;
      padding-right: 0px !important;
    }
  }
  @media (max-width: 599px) {
    .mat-step-header:nth-child(1) {
      padding-left: 0px !important;
    }
  }
}

.politicas {
  .mat-checkbox-label {
    white-space: pre-wrap !important;
  }
}

.list-cotizacion {
  .mat-list-item {
    .mat-list-item-content {
      padding-left: 0px !important;
      padding-right: 0px !important;
    }
  }
}

.modalCotizacionesAsignadas {
  width: 340px;
  .mat-dialog-container {
    padding-top: 5px !important;
  }
  @media (max-width: 599px) {
    max-width: 95vw !important;
  }
}

.max-item-width {
  .mat-list-item-content {
    width: 100% !important;
    justify-content: space-between;
  }
}
